Skip to main content
GET
Fetch customer credit balance

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Path Parameters

customer_id
string | null
required

Query Parameters

limit
integer
default:20

The number of items to fetch. Defaults to 20.

Required range: 1 <= x <= 100
cursor
string | null

Cursor for pagination. This can be populated by the next_cursor value returned from the initial request.

currency
string | null

The ledger currency or custom pricing unit to use.

include_all_blocks
boolean
default:false

If set to True, all expired and depleted blocks, as well as active block will be returned.

effective_date[gte]
string<date-time> | null
effective_date[gt]
string<date-time> | null
effective_date[lt]
string<date-time> | null
effective_date[lte]
string<date-time> | null

Response

OK

data
CustomerCreditBalance · object[]
required
pagination_metadata
PaginationMetadata · object
required